Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFileOutputWindow Class Reference

`#include <vtkFileOutputWindow.h>`

Inheritance diagram for vtkFileOutputWindow:

[legend]
Collaboration diagram for vtkFileOutputWindow:

[legend]
List of all members.

## Detailed Description

File Specific output window class.

Date:
  2002/01/22 15:25:23

Revision:
  1.10

Writes debug/warning/error output to a log file instead of the console. To use this class, instantiate it and then call SetInstance(this).

Created by:
  - Turek, Matt

CVS contributions (if > 5%):
  - Turek, Matt (75%)
  - Schroeder, Will (18%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkFileOutputWindow.cxx)`
  - .`h` (`/Common/vtkFileOutputWindow.h)`

Tests:
  vtkFileOutputWindow (Tests)

Definition at line 47 of file vtkFileOutputWindow.h.

## Public Types
typedef vtkOutputWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | DisplayText (const char *)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetFlush (int)
virtual int | GetFlush ()
virtual void | FlushOn ()
virtual void | FlushOff ()
virtual void | SetAppend (int)
virtual int | GetAppend ()
virtual void | AppendOn ()
virtual void | AppendOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkFileOutputWindow * | SafeDownCast (vtkObject *o)
vtkFileOutputWindow * | New ()
## Protected Methods
| vtkFileOutputWindow ()
virtual | ~vtkFileOutputWindow ()
void | Initialize ()
## Protected Attributes
char * | FileName
ofstream * | OStream
int | Flush
int | Append

## Member Typedef Documentation

typedef vtkOutputWindow vtkFileOutputWindow::Superclass

| Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow. Definition at line 50 of file vtkFileOutputWindow.h.

## Constructor & Destructor Documentation

vtkFileOutputWindow::vtkFileOutputWindow | ( |  | ) | `[protected]`

virtual vtkFileOutputWindow::~vtkFileOutputWindow | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual const char* vtkFileOutputWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow.

int vtkFileOutputWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow.

virtual int vtkFileOutputWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow.

vtkFileOutputWindow* vtkFileOutputWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow.

vtkFileOutputWindow* vtkFileOutputWindow::New | ( |  | ) | `[static]`

| This is a singleton pattern New. There will only be ONE reference to a vtkOutputWindow object per process. Clients that call this must call Delete on the object so that the reference counting will work. The single instance will be unreferenced when the program exits. Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow.

virtual void vtkFileOutputWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print ObjectFactor to stream. Reimplemented from vtkOutputWindow.

virtual void vtkFileOutputWindow::DisplayText | ( | const char * |  | ) | `[virtual]`

| New lines are converted to carriage return new lines. Reimplemented from vtkOutputWindow. Reimplemented in vtkXMLFileOutputWindow.

virtual void vtkFileOutputWindow::SetFileName | ( | const char * |  | ) | `[virtual]`

virtual char* vtkFileOutputWindow::GetFileName | ( |  | ) | `[virtual]`

virtual void vtkFileOutputWindow::SetFlush | ( | int |  | ) | `[virtual]`

| to the log file.

virtual int vtkFileOutputWindow::GetFlush | ( |  | ) | `[virtual]`

| to the log file.

virtual void vtkFileOutputWindow::FlushOn | ( |  | ) | `[virtual]`

| to the log file.

virtual void vtkFileOutputWindow::FlushOff | ( |  | ) | `[virtual]`

| to the log file.

virtual void vtkFileOutputWindow::SetAppend | ( | int |  | ) | `[virtual]`

| opened in append mode. Otherwise, if the log file exists, it will be overwritten each time the vtkFileOutputWindow is created.

virtual int vtkFileOutputWindow::GetAppend | ( |  | ) | `[virtual]`

| opened in append mode. Otherwise, if the log file exists, it will be overwritten each time the vtkFileOutputWindow is created.

virtual void vtkFileOutputWindow::AppendOn | ( |  | ) | `[virtual]`

| opened in append mode. Otherwise, if the log file exists, it will be overwritten each time the vtkFileOutputWindow is created.

virtual void vtkFileOutputWindow::AppendOff | ( |  | ) | `[virtual]`

| opened in append mode. Otherwise, if the log file exists, it will be overwritten each time the vtkFileOutputWindow is created.

void vtkFileOutputWindow::Initialize | ( |  | ) | `[protected]`

| Reimplemented in vtkXMLFileOutputWindow.

## Member Data Documentation

char* vtkFileOutputWindow::FileName`[protected]`

| Definition at line 83 of file vtkFileOutputWindow.h.

ofstream* vtkFileOutputWindow::OStream`[protected]`

| Definition at line 84 of file vtkFileOutputWindow.h.

int vtkFileOutputWindow::Flush`[protected]`

| Definition at line 85 of file vtkFileOutputWindow.h.

int vtkFileOutputWindow::Append`[protected]`

| Definition at line 86 of file vtkFileOutputWindow.h.

The documentation for this class was generated from the following file:

- Common/vtkFileOutputWindow.h